﻿*************************************************************************************
***Proxyversion for KINDL Asthma-Modul
***KINDL_parents_Asthma_module_English.

***Remark:
*Higher values reflect better HrQoL.
*Items 1-12 are summarized on one scale
(see Bullinger et al. (2006) Quality of life—evaluation criteria for children with chronic conditions in medical care).
*Item 13-15 are additional information, which do not form a scale.

*********Recoding of raw scores.
*Negativly pooled items.
RECODE p_ast_01 (5=1) (4=2) (3=3) (2=4) (1=5) INTO p_xst_01. 
RECODE p_ast_02 (5=1) (4=2) (3=3) (2=4) (1=5) INTO p_xst_02. 
RECODE p_ast_03 (5=1) (4=2) (3=3) (2=4) (1=5) INTO p_xst_03. 
RECODE p_ast_04 (5=1) (4=2) (3=3) (2=4) (1=5) INTO p_xst_04. 
RECODE p_ast_05 (5=1) (4=2) (3=3) (2=4) (1=5) INTO p_xst_05. 
RECODE p_ast_06 (5=1) (4=2) (3=3) (2=4) (1=5) INTO p_xst_06. 
RECODE p_ast_07 (5=1) (4=2) (3=3) (2=4) (1=5) INTO p_xst_07. 
RECODE p_ast_08 (5=1) (4=2) (3=3) (2=4) (1=5) INTO p_xst_08. 
RECODE p_ast_09 (5=1) (4=2) (3=3) (2=4) (1=5) INTO p_xst_09. 
RECODE p_ast_10 (5=1) (4=2) (3=3) (2=4) (1=5) INTO p_xst_10. 
RECODE p_ast_11 (5=1) (4=2) (3=3) (2=4) (1=5) INTO p_xst_11. 
RECODE p_ast_13 (5=1) (4=2) (3=3) (2=4) (1=5) INTO p_xst_13. 
RECODE p_ast_14 (5=1) (4=2) (3=3) (2=4) (1=5) INTO p_xst_14. 
RECODE p_ast_15 (5=1) (4=2) (3=3) (2=4) (1=5) INTO p_xst_15. 

*Positively pooled items gepolte Items.
RECODE p_ast_12 (5=5) (4=4) (3=3) (2=2) (1=1) INTO p_xst_12. 

VARIABLE LABELS
p_xst_01 '... my child woke up at night because of his/her asthma'
p_xst_02 '... my child felt a growl or whistle while breathing'
p_xst_03 '... my child was afraid of having an attack'
p_xst_04 '... inhaling and taking medication annoyed my child'
p_xst_05 '... my child felt ashamed because of his/her asthma'
p_xst_06 '... my child was dissatisfied with him/herself because of his/her asthma'
p_xst_07 '... there was trouble at home because of his/her asthma'
p_xst_08 '... I forbade my child things because of his/her asthma'
p_xst_09 '... my child was teased by others because of his/her asthma'
p_xst_10 '... my child was left out by others when they did things together, because of his/her asthma'
p_xst_11 '... my child had trouble concentrating because of his/her asthma'
p_xst_12 '... my child was just as good at sports as his/her classmates or friends'
p_xst_13 'How often during the past week did your child have breathing complaints (asthma)'
p_xst_14 'How severe were his/her breathing complaints during the past week?'
p_xst_15 'How much did your childs breathing complaints bother him/her during the past week?'.
EXECUTE.

VALUE LABELS
p_xst_01 p_xst_02 p_xst_03 p_xst_04 p_xst_05 p_xst_06 p_xst_07 p_xst_08 p_xst_09 p_xst_10 p_xst_11 p_xst_13
1 'all the time'
2 'often'
3 'sometimes'
4 'seldom'
5 'never'.
EXECUTE.

VALUE LABELS
p_xst_14
1 'very severe'
2 'fairly severe'
3 'moderately severe'
4 'somewhat severe'
5 'none at all'.
EXECUTE.

VALUE LABELS
p_xst_15
1 'very much'
2 'fairly much'
3 'moderately'
4 'somewhat'
5 'not at all'.
EXECUTE.

VALUE LABELS
p_xst_12
1 'never'
2 'seldom'
3 'sometimes'
4 'often'
5 'all the time'.
EXECUTE.

****Total score.
*Calculating sum score.
COMPUTE ast_mean = mean.8(p_xst_01, p_xst_02, p_xst_03, p_xst_04, p_xst_05, p_xst_06, p_xst_07, p_xst_08, p_xst_09, p_xst_10, p_xst_11, p_xst_12).
EXECUTE.

COMPUTE ast_sum = ast_mean*12.
EXECUTE.

*Calculating scale transformed to 100.
COMPUTE ast_100 = ((ast_sum-12)/48)*100.
EXECUTE.

VARIABLE LABELS
ast_mean 'KINDL - Asthma-Module Mean'
ast_sum 'KINDL - Asthma-Module Sum'
ast_100 'KINDL - Asthma-Module 100'.
EXECUTE.


SORT CASES BY id.
EXECUTE.

